Package: org.codehaus.groovy.control

## [Java] Class Janitor

- org.codehaus.groovy.control.Janitor

- All Implemented Interfaces and Traits:
    HasCleanup

      public class Janitor
      extends Object

  An agent that can be used to defer cleanup operations to a later time. Users much implement the HasCleanup interface.

  Authors:
    Chris Poirier
  Version:
    \$Id\$

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `cleanup()`
    `void` | `register(HasCleanup object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void cleanup()

    - #### public void register(HasCleanup object)